# !! please sync memprof.spec BuildPrereq version when binutils' version up
%define __libtoolize :
%global momorel 4

Summary: A GNU collection of binary utilities.
Name: binutils
Version: 2.14.90.0.7
Release: %{momorel}m
License: GPL
Group: Development/Tools
URL: http://sources.redhat.com/binutils/

%NoSource 0 ftp://ftp.kernel.org/pub/linux/devel/%{name}/%{name}-%{version}.tar.bz2 b5b1608f7308c487c0f3af8e4592a71a

Patch0: binutils-2.14.90.0.6-sparc-nonpic.patch
Patch1: binutils-2.14.90.0.6-eh-frame-ro.patch
Patch2: binutils-2.14.90.0.6-ltconfig-multilib.patch
Patch3: binutils-2.14.90.0.6-s390-pie.patch
Patch4: binutils-2.14.90.0.6-ppc64-pie.patch
Patch5: binutils-2.14.90.0.6-place-orphan.patch
#Patch6: binutils-2.14.90.0.6-sparc-cfi.patch
Patch6: binutils-2.14.90.0.7-sparc-cfi.patch
# Patch7: binutils-2.14.90.0.6-ia64-sdata.patch
# Patch8: binutils-2.14.90.0.6-merge-speedup.patch
Patch9: binutils-2.14.90.0.6-ia64-speedup.patch
# Patch10: binutils-2.14.90.0.6-ia64-howto.patch
Patch11: binutils-2.14.90.0.6-cygwin-cross.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: rpm >= 4.0.4-6k
BuildRequires: texinfo >= 4.2
BuildRequires: byacc, flex, bison, gettext
Prereq: info
%ifarch ia64
Obsoletes: gnupro
%endif

%define _gnu %{nil}

%description
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), size (for listing the section sizes of an
object or archive file), strings (for listing printable strings from
files), strip (for discarding symbols), and addr2line (for converting
addresses to file and line).

%package devel
Summary: A GNU collection of binary utilities.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), size (for listing the section sizes of an
object or archive file), strings (for listing printable strings from
files), strip (for discarding symbols), and addr2line (for converting
addresses to file and line).

%prep
%setup -q
%patch0 -p0 -b .sparc-nonpic~
%patch1 -p0 -b .eh-frame-ro~
%patch2 -p0 -b .ltconfig-multilib~
%patch3 -p0 -b .s390-pie~
%patch4 -p0 -b .ppc64-pie~
%patch5 -p0 -b .place-orphan~
%patch6 -p0 -b .sparc-cfi~
# %%patch7 -p0 -b .ia64-sdata~
# %%patch8 -p0 -b .merge-speedup~
%patch9 -p0 -b .ia64-speedup~
# %%patch10 -p0 -b .ia64-howto~

# libtool sucks
perl -pi -e 'm/LIBADD/ && s/(\.\.\/bfd\/libbfd.la)/-L\.\.\/bfd\/\.libs \1/' opcodes/Makefile.{am,in}

# LTP sucks
perl -pi -e 's/i\[3-7\]86/i[34567]86/g' */conf*
touch */configure

%patch11 -p0 -b .cygwin-cross~
(
  cd binutils
  aclocal-1.4
  autoheader-2.13
  automake-1.4
  autoconf-2.13
)

(
  cd libiberty
  mv Makefile.in Makefile.in.orig
  sed -e 's/mkdir bits/mkdir -p bits/g' \
    Makefile.in.orig > Makefile.in
)

## setup documentation directory
%__mkdir_p document
%__cp COPYING* ChangeLog* MAINTAINERS README* document
%__mkdir_p document/bfd
(
  cd bfd
  %__cp COPYING ChangeLog* MAINTAINERS PORTING README TODO \
    ../document/bfd
)
%__mkdir_p document/binutils
(
  cd binutils
  %__cp ChangeLog* MAINTAINERS NEWS README \
    ../document/binutils
)
%__mkdir_p document/cpu
(
  cd cpu
  %__cp ChangeLog ../document/cpu
)
%__mkdir_p document/gas
(
  cd gas
  %__cp CONTRIBUTORS COPYING ChangeLog* MAINTAINERS NEWS README* \
    ../document/gas
)
%__mkdir_p document/gprof
(
  cd gprof
  %__cp ChangeLog* MAINTAINERS README TEST TODO \
    ../document/gprof
)
%__mkdir_p document/ld
(
  cd ld
  %__cp ChangeLog* MAINTAINERS NEWS README TODO \
    ../document/ld
)
%__mkdir_p document/libiberty
(
  cd libiberty
  %__cp COPYING* ChangeLog* README \
    ../document/libiberty
)
%__mkdir_p document/opcodes
(
  cd opcodes
  %__cp ChangeLog* MAINTAINERS \
    ../document/opcodes
)

%build
# Binutils come with its own custom libtool. 
mkdir build-%{_target_platform}
cd build-%{_target_platform}

%global _configure_cmd ../configure
%configure \
  --enable-shared \
  --enable-64-bit-bfd \
  --enable-targets=all \
  --enable-commonbfdlib \
  --enable-install-libbfd \
  --enable-install-libiberty

%global _make_target all info
%append _make_args -- tooldir=%{_prefix}
%make

# Rebuild libiberty.a with -fPIC
make -C libiberty clean
make CFLAGS="-g -fPIC %{optflags}" -C libiberty
make CFLAGS="-g -fPIC %{optflags}" -C libiberty old_demangler

echo ====================TESTING=========================
make -k check || :
echo ====================TESTING END=====================
cd ..

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_prefix}
cd build-%{_target_platform}
%append _makeinstall_target install-info
%makeinstall

# Install libiberty.a
%__install -m 644 libiberty/libiberty.a %{buildroot}%{_libdir}
%__install -m 644 ../include/libiberty.h %{buildroot}%{_includedir}

%__chmod +x %{buildroot}%{_libdir}/lib*.so*

# This one comes from gcc
rm -f %{buildroot}%{_bindir}/c++filt

rm -f %{buildroot}%{_infodir}/dir

# why these files were not installed
%__install -m 644 libiberty/libiberty.info %{buildroot}%{_infodir}/
%__install -m 644 gas/doc/as.info %{buildroot}%{_infodir}/

cd ..
%find_lang binutils
%find_lang opcodes
%find_lang bfd
%find_lang gas
%find_lang ld
cat opcodes.lang >> binutils.lang
cat bfd.lang >> binutils.lang
cat gas.lang >> binutils.lang
cat ld.lang >> binutils.lang

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/as.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/bfd.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/binutils.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ld.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/libiberty.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/standards.info

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/as.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/bfd.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/binutils.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ld.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/libiberty.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/standards.info
fi

%postun -p /sbin/ldconfig

%files -f binutils.lang
%defattr(-,root,root)
%doc document/*
%{_bindir}/*
%{_prefix}/%{_target_platform}
%{_libdir}/libbfd-%{version}.so
%{_libdir}/libopcodes-%{version}.so
%{_infodir}/*info*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_includedir}/*
%{_libdir}/libbfd.*a
%{_libdir}/libbfd.so
%{_libdir}/libiberty.a
%{_libdir}/libopcodes.*a
%{_libdir}/libopcodes.so

%changelog
* Mon Mar 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.14.90.0.7-4m)
- install libiberty.info and as.info
- install-info as.info again.

* Mon Mar 22 2004 TAKAHASHI Tamotsu <tamo>
- (2.14.90.0.7-4m)
- comment out "install-info as.info"
 because as.info.bz2 is not installed

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.14.90.0.7-3m)
- change docdir %%defattr

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.14.90.0.7-2m)
- revised spec for enabling rpm 4.2.

* Thu Nov 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.90.0.7-1m)
- version up to 2.14.90.0.7
- update patch6 sparc-cfi.patch
- comment out patch7, included and changed
- tmp comment out patch8, many changes...
- tmp comment out patch10, mendoi

* Fri Oct 24 2003 Kenta MURATA <muraken2@nifty.com>
- (2.14.90.0.6-1m)
- version up to 2.14.90.0.6.
- split devel package.
-
-* Tue Sep 30 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-3
-- don't abort on some linker warnings/errors on IA-64
-
-* Sat Sep 20 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-2
-- fix up merge2.s to use .p2align instead of .align
-
-* Sat Sep 20 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-1
-- update to 2.14.90.0.6
-- speed up string merging (Lars Knoll, Michael Matz, Alan Modra)
-- speed up IA-64 local symbol handling during linking
-
-* Fri Sep  5 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-7
-- avoid ld -s segfaults introduced in 2.14.90.0.5-5 (Dmitry V. Levin,
-  #103180)
-
-* Fri Aug 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-6
-- build old demangler into libiberty.a (#102268)
-- SPARC .cfi* support
-
-* Tue Aug  5 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-5
-- fix orphan section placement
-
-* Tue Jul 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-4
-- fix ppc64 elfvsb linker tests
-- some more 64-bit cleanliness fixes, give ppc64 fdesc symbols
-  type and size (Alan Modra)
-
-* Tue Jul 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-3
-- fix 64-bit unclean code in ppc-opc.c
-
-* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-2
-- fix 64-bit unclean code in tc-ppc.c
-
-* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-1
-- update to 2.14.90.0.5
-- fix ld -r on ppc64 (Alan Modra)

* Thu Oct 23 2003 Kenta MURATA <muraken2@nifty.com>
- (2.14.90.0.4-4m)
- default enable 64-bit-bfd.

* Sun Oct 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.90.0.4-3m)
- add --enable-targets=all at configure

* Wed Oct  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.14.90.0.4-2m)
- remove binutils-2.13.90.0.4-glibc21.patch
- update sparc-nonpic patch
- remove binutils-2.13.90.0.18-compatsym.patch
- sync with RawHide(binutils-2.14.90.0.4-7)
- fix libbfd.la and libopcodes.la

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.14.90.0.4-1m)
  update to 2.14.90.0.4

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.13.90.0.20-2m)
- rewind
- revise %%post and %%preun (.info.* -> .info)

* Sun May 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.90.0.1-1m)
- update to 2.14.90.0.1
- update Patch103: binutils-2.14.90.0.1-eh-frame-ro.patch

* Thu Apr 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.20-1m)
- update to 2.13.90.0.20
- delete patch2
- delete patch100
- delete patch106
- delete patch107
- delete patch108
- delete patch109
- delete patch110

* Tue Feb 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.18-2m)
- apply patches from rawhide 2.13.90.0.18-2
- delete rawhide's Patch102: binutils-2.13.90.0.18-ia64-brl.patch
  because this patch was same Patch2: binutils-2.13.90.0.10-ia64-brl.patch
- update momonga Patch1: binutils-2.11.93.0.2-sparc-nonpic.patch
  by rawhide's Patch101: binutils-2.13.90.0.18-sparc-nonpic.patch
- rawhide's changelog is below
- * Sun Feb 09 2003 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.18-2
- - fix SEARCH_DIR on x86_64/s390x
- - fix Alpha --relax
- - create DT_RELA{,SZ,ENT} on s390 even if there is just .rela.plt
-   and no .rela.dyn section
- - support IA-32 on IA-64 (#83752)
- - .eh_frame_hdr fix (Andreas Schwab)
- 
- * Thu Feb 06 2003 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.18-1
- - update to 2.13.90.0.18 + 20030121->20030206 CVS diff

* Sun Feb 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.18-1m)
- update to 2.13.90.0.18
- delete included patches
-  Patch3: binutils-2.13.90.0.16-rodata-cst.patch
-  Patch5: binutils-2.13.90.0.16-ppc-apuinfo.patch
-  Patch6: binutils-2.13.90.0.16-stt_tls.patch
-  Patch8: binutils-2.13.90.0.16-tls-strip.patch
- ? Patch4: binutils-2.13.90.0.16-eh-frame-ro.patch
- ? Patch7: binutils-2.13.90.0.16-ia64-bootstrap.patch

* Wed Jan 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.13.90.0.16-2m)
- more sync with binutils-2.13.90.0.16-3(rawhide).
  add --enable-64-bit-bfd to configure if target arch is sparc ppc s390

* Sun Dec 15 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.16-1m)
- update to 2.13.90.0.16
- add Patch from 2.13.90.0.16-3vl2 from rawhide
- comment out Patch1 (binutils-2.13.90.0.16-oformat.patch)
- comment out Patch5 (binutils-2.13.90.0.10-biarch.patch)
- comment out included tarball Patch6 (binutils-2.13.90.0.10-alpha.patch)

* Fri Nov 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.10-2m)
- import patches from rawhide (2.13.90.0.10-3).
  imported patches are 
    o binutils-2.13.90.0.10-ia64-brl.patch
    o binutils-2.13.90.0.10-biarch.patch
    o binutils-2.13.90.0.10-alpha.patch
  and, here is the corresponding changelog from rawhide
  (changes I did not import are deleted):

  * Wed Oct 23 2002 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.10-3
  - fix names and content of alpha non-alloced .rela.* sections (#76583)

  * Tue Oct 15 2002 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.10-2
  - enable s390x resp. s390 emulation in linker too

  * Mon Oct 14 2002 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.10-1
  - update to 2.13.90.0.10
  - add a bi-arch patch for sparc/s390/x86_64

* Sat Oct 12 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.10-1m)
- update to 2.13.90.0.10

* Fri Aug 16 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.4-1m)
- update to 2.13.90.0.4
- remake Patch1 for 2.13.90.0.4

* Thu Aug 15 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.3-1m)
- update to 2.13.90.0.3
- add BuildPrereq: byacc, flex

* Wed Aug  7 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.13.90.0.2-1m)
  update to 2.13.90.0.2

* Wed Jul 24 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.12.90.0.9-1m)
  update to 2.12.90.0.9

* Thu May 30 2002 Toru Hoshina <t@kondara.org>
- (2.12.90.0.7-4k)
- no gasp.info.

* Tue May 21 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.12.90.0.7-3k)
- update to 2.12.90.0.7

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.12-2k)
- update to 2.12

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.11.92.0.10-4k)
- just rebuild for .la fix

* Sat Nov  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.92.0.10-2k)
- update to 2.11.92.0.10

* Wed Oct 24 2001 Toru Hoshina <t@kondara.org>
- (2.11.90.0.31-4k)

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (2.11.90.0.31-2k)
- merge from Jirai!!
- DO NOT REMOVE libiberty.a

* Mon Sep 18 2001 Motonobu Ichimura <famao@kondara.org>
- (2.11.90.0.31-3k)
- up to 2.11.90.0.31

* Mon Jul 09 2001 Kusunoki Masanori <nori@kondara.org>
- (2.11.2-5k)
- up to 2.11.2
- remove libiberty.a because conflict gcc
- remove libiberty.h

* Tue Nov 21 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- spec's bug fix

* Mon Nov 20 2000 Takaaki Tabuchi <tab@kondara.org>
- (2.10.0.33-1k)
- update to 2.10.0.33
- change source URI from .bz2 to .gz

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Jul 24 2000 Jakub Jelinek <jakub@redhat.com>
- 2.10.0.18

* Mon Jul 10 2000 Jakub Jelinek <jakub@redhat.com>
- 2.10.0.12

* Mon Jun 26 2000 Jakub Jelinek <jakub@redhat.com>
- 2.10.0.9

* Thu Jun 15 2000 Jakub Jelinek <jakub@redhat.com>
- fix ld -r

* Mon Jun  5 2000 Jakub Jelinek <jakub@redhat.com>
- 2.9.5.0.46
- use _mandir/_infodir/_lib

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.41

* Wed Apr 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.34

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.31

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- apply kingdon's patch from #5031

* Wed Jan 19 2000 Jeff Johnson <jbj@redhat.com>
- Permit package to be built with a prefix other than /usr.

* Thu Jan 13 2000 Cristian Gafton <gafton@redhat.com>
- add pacth from hjl to fix the versioning problems in ld

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add sparc patches from Jakub Jelinek <jakub@redhat.com>
- Add URL:

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.22

* Wed Nov 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.19

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.16

* Mon Sep 06 1999 Jakub Jelinek <jj@ultra.linux.cz>
- make shared non-pic libraries work on sparc with glibc 2.1.

* Fri Aug 27 1999 Jim Kingdon
- No source/spec changes, just rebuilding with egcs-1.1.2-18 because
  the older egcs was miscompling gprof.

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- back out very *stupid* sparc patch done by HJLu. People, keep out of
  things you don't understand.
- add alpha relax patch from rth

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- version  2.9.1.0.23
- patch to make texinfo documentation compile
- auto rebuild in the new build environment (release 2)

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.21
- merged with UltraPenguin

* Mon Jan 04 1999 Cristian Gafton <gafton@redhat.com>
- added ARM patch from philb
- version 2.9.1.0.19a
- added a patch to allow arm* arch to be identified as an ARM

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.14.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.13.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.12

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.7.

* Wed Jun 03 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.6.

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added patch from rth to get right offsets for sections in relocateable
  objects on sparc32

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- version 2.9.1.0.4 is out; even more, it is public !

* Tue May 05 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.3.

* Mon Apr 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.0.3

* Tue Apr 14 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.9.0.2

* Sun Apr 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8.1.0.29 (HJ warned me that this thing is a moving target...
  :-)
- "fixed" the damn make install command so that all tools get installed

* Thu Apr 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded again to 2.8.1.0.28 (at least on alpha now egcs will compile)
- added info packages handling

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8.1.0.23

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8.1.0.15 (required to compile the newer glibc)
- all patches are obsoleted now

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added 2.8.1.0.1 patch from hj
- added patch for alpha palcode form rth
